@import "@/assets/variables.scss";

.modal-mask {
  position: fixed;
  z-index: 9998;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: table;
  transition: opacity 0.3s ease;
  .modal-wrapper {
    display: table-cell;
    vertical-align: middle;
  }
  .modal-container {
    width: 780px;
    margin: 0px auto;
    overflow-y: scroll;
    background-color: $light;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.33);
    transition: all 0.3s ease;
  }
  .modal-header {
    position: relative;
    display: flex;
    flex-direction: column;
    background-color: $blue;
    border-radius: 0;
    button {
      position: absolute;
      right: 20px;
      background-color: transparent;
      border: none;

      img {
        width: 15px;
      }
    }
    .header-title {
      width: 100%;
      display: flex;
      justify-content: center;
      span {
        font-size: 32px;
        font-weight: 700;
        color: $light;
      }
    }

    .header-description {
      width: 100%;
      text-align: center;
      span {
        font-size: 14px;
        color: $light;
      }
    }
  }
  .modal-body {
    margin: 20px 0;
    height: 500px;
    overflow-y: scroll;
    .table-box {
      table {
        width: 100%;
        border: 1px solid $tableBorder;
        tr {
          line-height: 50px;

          td {
            padding-left: 25px;

            .discount {
              font-size: 16px;
              font-weight: 400;
              color: $blue;
            }
          }

          .credits-item {
            span {
              font-size: 18px;
              font-weight: 700;
              color: $dark;
            }
          }

          .price {
            span {
              font-size: 16px;
              font-weight: 400;
              color: $dark;
            }
          }
        }
        .white {
          background-color: $light;
          display: flex;

          .right-side {
            width: 95%;
            display: flex;
            justify-content: space-around;
            tr {
              padding-left: 0;
              td {
                flex: 1;
                padding-left: 0;
              }
            }
          }

          &.special {
            .right-side {
              tr {
                padding-left: 0;
                td {
                  padding-left: 0;
                }
              }
            }
          }
        }

        .blue {
          display: flex;
          background-color: $featuresBoxBackgroundColor;

          .right-side {
            width: 95%;
            display: flex;
            justify-content: space-around;
            tr {
              padding-left: 0;
              td {
                flex: 1;
                padding-left: 0;
              }
            }
          }
        }
      }
    }
  }

  .modal-footer {
    background-color: $blue;
    display: flex;
    justify-content: center;
    border-radius: 0;
    .footer-text {
      text-align: center;
      span {
        color: $light;
        font-size: 14px;
      }
    }
  }

  .form-box {
    margin-top: 82px;
    form {
      .form-row {
        .left-side {
          .form-title {
            display: flex;
            .item {
              span {
                font-size: 32px;
                font-weight: 700;
                color: $dark;
              }
            }
          }

          .left-side-form-box {
            .form-credit-cards {
              display: flex;
              margin-top: 0 !important;
              img {
                cursor: pointer;
              }
            }
          }
        }

        .right-side {
          .form-secure-cards {
            display: flex;
            & > div {
              flex: 1;
            }
            img {
              cursor: pointer;
            }
          }

          .right-side-form-box {
            margin-top: 10px !important;
          }
        }
      }
    }

    form {
      margin-top: 10px;
      .form-row {
        .form-group {
          select {
            width: 100%;
            height: 50px;
            background-color: $formInputColor;
            border: none;
            font-size: 14px;
            color: $dark;
            font-weight: 400;
            padding-left: 12px;
          }

          input {
            width: 100%;
            height: 50px;
            background-color: $formInputColor;
            border: none;
            padding-left: 12px;
            font-size: 14px;
            &::placeholder {
              font-weight: 400;
              color: $dark;
            }
          }
        }

        .form-item {
          display: flex;
          .date {
            padding: 0;
          }

          .cvv {
            padding: 0 0 0 10px;
          }
        }
      }

      .checkout-button {
        width: 100%;
        button {
          cursor: pointer;
          width: 100%;
          padding: 12px 0;
          background-color: $blue;
          border: 1px solid $blue;
          color: $light;
          font-size: 16px;
          font-weight: 400;
          line-height: 30px;
          transition: 0.3s ease-out;

          &:hover {
            background-color: transparent;
            color: $blue;
          }
        }
      }

      .change-button {
        width: 100%;
        margin-top: 10px;
        button {
          cursor: pointer;
          width: 100%;
          background-color: $light;
          color: $dark;
          border: 1px solid $blue;
          padding: 12px 0;
          font-size: 16px;
          font-weight: 400;
          line-height: 30px;
          transition: 0.3s ease-out;

          &:hover {
            background-color: $blue;
            color: $light;
          }
        }
      }

      .low-title {
        span {
          font-size: 10px;
          font-weight: 400;
          color: $dark;
        }
      }

      .title-box {
        display: flex;
        //align-items: center;
        margin-top: 12px;
        .checkbox-box {
          input[type="checkbox"] {
            width: 15px !important;
            height: 15px !important;
          }
        }

        .text-box {
          margin-left: 15px;
          span {
            font-size: 14px;
            font-weight: 400;
            color: $dark;
          }
        }
      }

      .subscribe-box {
        width: 310px;
        line-height: 15px;
        margin-top: 8px;
        span {
          font-size: 10px;
          font-weight: 400;
          color: $spanColor;
          strong {
            cursor: pointer;
            color: $dark;
            text-decoration: underline;
          }
        }
      }
    }
  }
}

.modal-enter {
  opacity: 0;
  .modal-container {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
}
.modal-leave-active {
  opacity: 0;
  .modal-container {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
}

@media screen and (max-width: 575px) {
  .modal-mask {
    .modal-wrapper {
      .modal-container {
        width: 100%;
        .modal-header {
          align-items: center;
          button {
            right: auto;
            position: relative;
            margin: 40px 0;
            img {
              width: 30px;
            }
          }
        }
        .modal-body {
          padding: 0;

          .mobile {
            padding: 0 20px;
            table {
              tbody {
                .white {
                  .right-side {
                    flex-direction: column;
                  }
                }

                .blue {
                  .right-side {
                    flex-direction: column;
                  }
                }
              }
            }
          }

          .form-box {
            form {
              .form-row {
                padding: 0 10px; 
              }
            }
          }
        }
      }
    }
  }
}
